import request from '@/utils/request'

// 查询域名绑定销售公司列表
export function listCompanyDomainBind(query) {
  return request({
    url: '/company/companyDomainBind/list',
    method: 'get',
    params: query
  })
}

// 查询域名绑定销售公司详细
export function getCompanyDomainBind(id) {
  return request({
    url: '/company/companyDomainBind/' + id,
    method: 'get'
  })
}

// 新增域名绑定销售公司
export function addCompanyDomainBind(data) {
  return request({
    url: '/company/companyDomainBind',
    method: 'post',
    data: data
  })
}

// 修改域名绑定销售公司
export function updateCompanyDomainBind(data) {
  return request({
    url: '/company/companyDomainBind',
    method: 'put',
    data: data
  })
}

// 删除域名绑定销售公司
export function delCompanyDomainBind(id) {
  return request({
    url: '/company/companyDomainBind/' + id,
    method: 'delete'
  })
}

// 导出域名绑定销售公司
export function exportCompanyDomainBind(query) {
  return request({
    url: '/company/companyDomainBind/export',
    method: 'get',
    params: query
  })
}

export function domainBatchBinding(data){
  return request({
    url: '/company/companyDomainBind/domainBatchBinding',
    method: 'post',
    data: data
  })
}
